module Miniserver
  HTTP_VERSION   = 'HTTP/1.1'
  NEWLINE        = "\n"
  BLANK_LINE     = "\r\n"
  SERVER         = 'Server'
  MINISERVER     = "Miniserver #{Miniserver::VERSION}"
  CONTENT_LENGTH = 'Content-Length'
  CONTENT_TYPE   = 'Content-Type'
  COLON          = ':'
  HTTP_PREFIX    = 'HTTP_'
  HTTP           = 'http'
  HTTPS          = 'https'
  EMPTY_STRING   = ''
  MINUS          = '-'
  UNDERLINE      = '_'
  DATE           = 'Date'
  CONNECTION     = 'Connection'
  KEEP_ALIVE     = 'keep-alive'
  CLOSE          = 'close'
  HOST           = 'Host'
  PORT_80        = '80'
  PATH_INFO      = 'PATH_INFO'
  REQUEST_METHOD = 'REQUEST_METHOD'
  REQUEST_PATH   = 'REQUEST_PATH'
  SCRIPT_NAME    = 'SCRIPT_NAME'
  FRAGMENT       = 'FRAGMENT'
  QUERY_STRING   = 'QUERY_STRING'
  REMOTE_ADDR    = 'REMOTE_ADDR'
  SERVER_NAME    = 'SERVER_NAME'
  SERVER_PORT    = 'SERVER_PORT'
  
  HTTP_CODE = {
    100 => 'Continue',
    101 => 'Switching Protocols',
    102 => 'Processing',
    200 => 'OK',
    201 => 'Created',
    202 => 'Accepted',
    203 => 'Non-Authoritative Information',
    204 => 'No Content',
    205 => 'Reset Content',
    206 => 'Partial Content',
    207 => 'Multi-Status',
    208 => 'Already Reported',
    226 => 'IM Used',
    300 => 'Multiple Choices',
    301 => 'Moved Permanently',
    302 => 'Found',
    303 => 'See Other',
    304 => 'Not Modified',
    305 => 'Use Proxy',
    306 => 'Reserved',
    307 => 'Temporary Redirect',
    308 => 'Permanent Redirect',
    400 => 'Bad Request',
    401 => 'Unauthorized',
    402 => 'Payment Required',
    403 => 'Forbidden',
    404 => 'Not Found',
    405 => 'Method Not Allowed',
    406 => 'Not Acceptable',
    407 => 'Proxy Authentication Required',
    408 => 'Request Timeout',
    409 => 'Conflict',
    410 => 'Gone',
    411 => 'Length Required',
    412 => 'Precondition Failed',
    413 => 'Request Entity Too Large',
    414 => 'Request-URI Too Long',
    415 => 'Unsupported Media Type',
    416 => 'Requested Range Not Satisfiable',
    417 => 'Expectation Failed',
    422 => 'Unprocessable Entity',
    423 => 'Locked',
    424 => 'Failed Dependency',
    425 => 'Reserved for WebDAV advanced collections expired proposal',
    426 => 'Upgrade Required',
    427 => 'Unassigned',
    428 => 'Precondition Required',
    429 => 'Too Many Requests',
    430 => 'Unassigned',
    431 => 'Request Header Fields Too Large',
    500 => 'Internal Server Error',
    501 => 'Not Implemented',
    502 => 'Bad Gateway',
    503 => 'Service Unavailable',
    504 => 'Gateway Timeout',
    505 => 'HTTP Version Not Supported',
    506 => 'Variant Also Negotiates (Experimental)',
    507 => 'Insufficient Storage',
    508 => 'Loop Detected',
    509 => 'Unassigned',
    510 => 'Not Extended',
    511 => 'Network Authentication Required'
  }
end
