module Miniserver
  class Request
    attr_accessor :headers
    attr_accessor :body
    attr_reader   :request_path
    attr_reader   :http_method
    attr_reader   :query_string
    attr_reader   :keep_alive
    attr_reader   :remote_addr
    attr_reader   :server_name
    attr_reader   :server_port
    attr_reader   :request_url

    def initialize
      @body = String.new
      @headers = Hash.new
    end

    def parse_header(parser, socket)
      @request_url  = parser.request_url
      @query_string = parser.query_string
      @request_path = parser.request_path
      @http_method  = parser.http_method
      @keep_alive   = parser.keep_alive?
      @remote_addr  = Socket.unpack_sockaddr_in(socket.get_peername)[1]
      @server_name, @server_port = @headers[HOST].split(COLON)
      @server_port ||= PORT_80
    end
  end
end
